package org.jboss.chap8.ex4;

import java.rmi.RemoteException;
import java.security.Security;
import javax.naming.InitialContext;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Category;
import org.apache.log4j.Priority;

import org.jboss.logging.XLevel;

/**
 *
 * @author  Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public class ExClient
{
   public static void main(String args[]) throws Exception
   {
      // Instalujemy dostawc Sun J2EE gdy moliwe e JSSE nie jest dostpne
      Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());
      // Konfiguracja log4j
      BasicConfigurator.configure();
      Category root = Category.getRoot();
      root.setLevel(XLevel.TRACE);
      InitialContext iniCtx = new InitialContext();
      Object ref = iniCtx.lookup("EchoBean4");
      EchoHome home = (EchoHome) ref;
      Echo echo = home.create();
      System.out.println("Utworzono Echo");
      System.out.println("Echo.echo()#1 = "+echo.echo("To jest wywoanie nr. 1"));
   }
}
